# SplHeap::insert

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplHeap::insert — Insère un élément dans le tas

### Description

public SplHeap::insert(mixed `$value`): true

Insère la valeur `value` dans le tas.

### Liste de paramètres

`value`

  La valeur à insérer.

### Valeurs de retour

Retourne toujours `true`.

### Historique

Version | Description
--- | ---
8.4.0 | SplHeap::insert() possède désormais un type de retour provisoire de type true.